Register a new agent instance with agent version
POST /api/v1/agent_instance/register
POST
/api/v1/agent_instance/register
Authorizations
Section titled “Authorizations ”Request Body
Section titled “Request Body ” Agent_Id
A valid agent ID
string
Example
013xrzp12g3nqk8nx0y2vfkg4s3jp2qrResponses
Section titled “ Responses ”Success
object
details
AgentInstance_Details
object
account_id
Account_Id
A valid account ID
string
Example
013xrzp12g3nqk8ngskn1wtxgka5b0nf agent_id
Agent_Id
A valid agent ID
string
Example
013xrzp12g3nqk8nx0y2vfkg4s3jp2qr agent_version_id
AgentVersion_Id
A valid agent version ID
string
Example
013xrzp12g3nqk8n6mv28ge2v9f7n2hc environment_id
Environment_Id
A valid environment ID
string
Example
013xrzp12g3nqk8nzxvq7jm2arsfg5h1 finished_at
id
AgentInstance_Id
A valid agent instance ID
string
Example
013xrzp12g3nqk8n4evtrcj59k8dhn3t inserted_at
When the agent instance was created
string format: date-time
Example
2024-01-01T00:00:00Z span_counts
AgentInstance_SpanCounts
object
active
Number of spans with status active (running)
integer
Example
2 cancelled
Number of spans with status cancelled
integer
0 complete
Number of spans with status complete
integer
Example
5 failed
Number of spans with status failed
integer
0 finished
Number of spans in a finished state (complete + failed + cancelled)
integer
Example
5 pending
Number of spans with status pending
integer
0 total
Total number of agent spans
integer
Example
10 started_at
status
Status of the agent instance: ‘pending’ (not started yet), ‘active’ (started but not finished), ‘complete’ (finished successfully), ‘failed’ (ended with failure), or ‘cancelled’ (never started, cancelled)
string
Example
active type
Type of resource (always ‘agent_instance’)
string
Example
agent_instance updated_at
When the agent instance was last updated
string format: date-time
Example
2024-01-01T00:00:00Z status
string
Example
successdefault
Section titled “default ”Error
One of:
object
code
string
Example
bad_request message
string
status
string
Example
errorobject
code
string
Example
validation_errors errors
message
string
status
string
Example
error